Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing
Class XMLUtil

    java.lang.Object
      org.jboss.soa.esb.addressing.XMLUtil

    public class XMLUtil

extends java.lang.Object

Field Summary
`static java.lang.String` | `ACTION_TAG`
`static java.lang.String` | `ADDRESS_TAG`
`static java.lang.String` | `ENDPOINT_REFERENCE_TAG`
`static java.lang.String` | `FAULT_TO_TAG`
`static java.lang.String` | `FROM_TAG`
`static java.lang.String` | `INSTANCE_IDENTIFIER_TAG`
`static java.lang.String` | `JBOSSESB_NAMESPACE_URI`
`static java.lang.String` | `JBOSSESB_PREFIX`
`static java.lang.String` | `MESSAGE_IDENTIFIER_TAG`
`static javax.xml.namespace.QName` | `QNAME_ACTION_TAG`
`static javax.xml.namespace.QName` | `QNAME_ADDRESS_TAG`
`static javax.xml.namespace.QName` | `QNAME_ENDPOINT_REFERENCE_TAG`
`static javax.xml.namespace.QName` | `QNAME_FAULT_TO_TAG`
`static javax.xml.namespace.QName` | `QNAME_FROM_TAG`
`static javax.xml.namespace.QName` | `QNAME_MESSAGE_IDENTIFIER_TAG`
`static javax.xml.namespace.QName` | `QNAME_REFERENCE_PARAMETERS_TAG`
`static javax.xml.namespace.QName` | `QNAME_REFERENCE_PROPERTIES_TAG`
`static javax.xml.namespace.QName` | `QNAME_RELATES_TO_TAG`
`static javax.xml.namespace.QName` | `QNAME_REPLY_TO_TAG`
`static javax.xml.namespace.QName` | `QNAME_TO_TAG`
`static java.lang.String` | `REFERENCE_PARAMETERS_TAG`
`static java.lang.String` | `REFERENCE_PROPERTIES_TAG`
`static java.lang.String` | `RELATES_TO_TAG`
`static java.lang.String` | `REPLY_TO_TAG`
`static java.lang.String` | `TO_TAG`
`static java.lang.String` | `UNKNOWNERROR_ERROR_CODE`
`static java.lang.String` | `WSA_NAMESPACE_URI`
`static java.lang.String` | `WSA_PREFIX`
`static java.lang.String` | `XMLNS_PREFIX`
`static java.lang.String` | `XMLNS_URI`

Constructor Summary
`XMLUtil()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSA_PREFIX

    public static final java.lang.String WSA_PREFIX

See Also:
  Constant Field Values

### WSA_NAMESPACE_URI

    public static final java.lang.String WSA_NAMESPACE_URI

See Also:
  Constant Field Values

### ENDPOINT_REFERENCE_TAG

    public static final java.lang.String ENDPOINT_REFERENCE_TAG

See Also:
  Constant Field Values

### QNAME_ENDPOINT_REFERENCE_TAG

    public static final javax.xml.namespace.QName QNAME_ENDPOINT_REFERENCE_TAG

### MESSAGE_IDENTIFIER_TAG

    public static final java.lang.String MESSAGE_IDENTIFIER_TAG

See Also:
  Constant Field Values

### QNAME_MESSAGE_IDENTIFIER_TAG

    public static final javax.xml.namespace.QName QNAME_MESSAGE_IDENTIFIER_TAG

### REFERENCE_PROPERTIES_TAG

    public static final java.lang.String REFERENCE_PROPERTIES_TAG

See Also:
  Constant Field Values

### QNAME_REFERENCE_PROPERTIES_TAG

    public static final javax.xml.namespace.QName QNAME_REFERENCE_PROPERTIES_TAG

### REFERENCE_PARAMETERS_TAG

    public static final java.lang.String REFERENCE_PARAMETERS_TAG

See Also:
  Constant Field Values

### QNAME_REFERENCE_PARAMETERS_TAG

    public static final javax.xml.namespace.QName QNAME_REFERENCE_PARAMETERS_TAG

### REPLY_TO_TAG

    public static final java.lang.String REPLY_TO_TAG

See Also:
  Constant Field Values

### QNAME_REPLY_TO_TAG

    public static final javax.xml.namespace.QName QNAME_REPLY_TO_TAG

### FROM_TAG

    public static final java.lang.String FROM_TAG

See Also:
  Constant Field Values

### QNAME_FROM_TAG

    public static final javax.xml.namespace.QName QNAME_FROM_TAG

### TO_TAG

    public static final java.lang.String TO_TAG

See Also:
  Constant Field Values

### QNAME_TO_TAG

    public static final javax.xml.namespace.QName QNAME_TO_TAG

### ADDRESS_TAG

    public static final java.lang.String ADDRESS_TAG

See Also:
  Constant Field Values

### QNAME_ADDRESS_TAG

    public static final javax.xml.namespace.QName QNAME_ADDRESS_TAG

### ACTION_TAG

    public static final java.lang.String ACTION_TAG

See Also:
  Constant Field Values

### QNAME_ACTION_TAG

    public static final javax.xml.namespace.QName QNAME_ACTION_TAG

### RELATES_TO_TAG

    public static final java.lang.String RELATES_TO_TAG

See Also:
  Constant Field Values

### QNAME_RELATES_TO_TAG

    public static final javax.xml.namespace.QName QNAME_RELATES_TO_TAG

### FAULT_TO_TAG

    public static final java.lang.String FAULT_TO_TAG

See Also:
  Constant Field Values

### QNAME_FAULT_TO_TAG

    public static final javax.xml.namespace.QName QNAME_FAULT_TO_TAG

### JBOSSESB_PREFIX

    public static final java.lang.String JBOSSESB_PREFIX

See Also:
  Constant Field Values

### JBOSSESB_NAMESPACE_URI

    public static final java.lang.String JBOSSESB_NAMESPACE_URI

See Also:
  Constant Field Values

### INSTANCE_IDENTIFIER_TAG

    public static final java.lang.String INSTANCE_IDENTIFIER_TAG

See Also:
  Constant Field Values

### UNKNOWNERROR_ERROR_CODE

    public static final java.lang.String UNKNOWNERROR_ERROR_CODE

See Also:
  Constant Field Values

### XMLNS_URI

    public static final java.lang.String XMLNS_URI

See Also:
  Constant Field Values

### XMLNS_PREFIX

    public static final java.lang.String XMLNS_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### XMLUtil

    public XMLUtil()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD